'use strict';

const Main = imports.ui.main;
const inputSourceManager = imports.ui.status.keyboard.getInputSourceManager();

let enabled = false;
function init() {
    debug('Initializing...');
    Main.screenShield.connect('lock-screen-shown', _check_state);
}

function enable() {
    if (enabled) return;
    debug("Enableing...");
    enabled = true;
}


function disable() {
    if(!Main.sessionMode.isLocked && enabled) {
        debug('Disableing...');
        enabled = false;
    }
}


function _check_state() {
    try{
        if (enabled) {
            primaryInput = inputSourceManager.inputSources["0"];
            currentInput = inputSourceManager.currentSource;
            if (currentInput != primaryInput) {
                debug('Swiching input to primary')
                primaryInput.activate();
                debug('Done')
            }
        }
    } catch (err) {
        debug(`ERROR: ${err}`);
    }
}

function debug(msg) {
    log(`[PRIMARY_LOCK]: ${msg}`)
}
